import spawn from "@munchkinhalfling/spawn.js";
import * as fs from "fs";

export function install(pkg: string): Promise<number> {
  return new Promise((res, rej) => {
    let ygg = spawn.spawnConnect("ygg", ["install", pkg], {});
    ygg.on("exit", res);
  });
}
export function remove(pkg: string): Promise<number> {
  return new Promise((res, rej) => {
    let ygg = spawn.spawnConnect("ygg", ["remove", pkg], {});
    ygg.on("exit", res);
  });
}
export function runOther(cmd: string, args: string[]): Promise<number> {
  return new Promise((res, rej) => {
    let ygg = spawn.spawnConnect("ygg", [cmd, args], {});
    ygg.on("exit", res);
  });
}
export default {install, remove, runOther};
